View Issue Details

IDProjectCategoryView StatusLast Update
0005562GNUnetotherpublic2019-06-01 19:38
Reporterng0Assigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.5Fixed in Version0.11.3 
Summary0005562: gnunet-qr must be fixed (is permanently stuck on python2.7)
Descriptionhttps://pypi.org/project/zbar/#description
seems to be the dependency we use for the optional gnunet-qr.

gnunet-qr code: https://git.gnunet.org/gnunet.git/tree/src/util/gnunet-qr.py.in

This zbar was never ported to python3 / python3.7.
This means that we have an optional runtime dependency which will never make its way out of python2.7.

I see 3 fixes:

1) rewrite to fix (in some other language or another - python3.7 - module)
2) port zbar module to python3.7 and maintain it
3) find a new module which has the same qualities as zbar on pypi and update gnunet-qr with it.

Maybe a potential GSoC task, or is this too short?
TagsNo tags attached.

Activities

ng0

2019-02-13 01:30

developer   ~0013697

https://pypi.org/project/zbar-py/ sees infrequent releases on pypi (last release in 2016) but supports py2 and py3

ng0

2019-02-13 01:32

developer   ~0013698

A couple more zbar's exist on pypi: https://pypi.org/search/?q=zbar&o=-created

Christian Grothoff

2019-02-13 19:14

manager   ~0013709

One could also consider using libzbar-dev (C version) directly. "only" needs to be wrapped lightly, presumably:

https://packages.debian.org/stretch/libzbar-dev
http://zbar.sourceforge.net/

But GSoC is a good idea for this, I'll add it to the list!

Christian Grothoff

2019-06-01 19:38

manager   ~0014490

Hartmut Goebel implemented gnunet-qr in C (src/util/gnunet-qr), which was actually merged already for 0.11.3.

Issue History

Date Modified Username Field Change
2019-02-13 01:25 ng0 New Issue
2019-02-13 01:27 ng0 Target Version => 0.12.0
2019-02-13 01:30 ng0 Note Added: 0013697
2019-02-13 01:32 ng0 Note Added: 0013698
2019-02-13 15:39 ng0 Description Updated View Revisions
2019-02-13 19:14 Christian Grothoff Note Added: 0013709
2019-02-14 11:55 Christian Grothoff Severity minor => feature
2019-02-14 11:55 Christian Grothoff Status new => confirmed
2019-06-01 19:38 Christian Grothoff Assigned To => Christian Grothoff
2019-06-01 19:38 Christian Grothoff Status confirmed => resolved
2019-06-01 19:38 Christian Grothoff Resolution open => fixed
2019-06-01 19:38 Christian Grothoff Fixed in Version => 0.11.3
2019-06-01 19:38 Christian Grothoff Note Added: 0014490
2019-06-01 19:38 Christian Grothoff Status resolved => closed
2019-06-01 19:38 Christian Grothoff Product Version => SVN HEAD
2019-06-01 19:38 Christian Grothoff Target Version 0.12.0 => 0.11.5